#
# Insert an intial posting into the "tutorial" database, in case it
# does not exist.
#
::nx::mongo::db connect -db "tutorial"
nx::mongo::db drop collection postings

namespace eval bi {
    set p [Posting new \
	       -title "Too Big to Fail" \
	       -author "John S." \
	       -ts "05-Nov-09 10:33" \
	       -tags {finance economy} \
	       -comments [list \
			      [Comment new -author "Walter White" -comment "Great Article!"] \
			      [Comment new -author "Joe Smith" -comment "But how fast is it?" \
				   -replies [list [Comment new -author "Jane Smith" -comment "scalable?"]]] \
			     ]]
    #
    # We save the posting.  During this operation also the embedded
    # objects (the comments and replies) are saved together with the
    # posting in a compound document.
    #
    $p save
    
    # Destroy the nx object. This cleanup could be done automatically.
    $p destroy
}

ns_returnredirect list.tcl
